import axios from '@/utils/axios'

export default {
  /**
   * 系统用户类型
   */
  getUserList(params) {
    return axios.get('/v2/user/list', { params })
  },
  // getPersonList(params) {
  //   return axios.get('/v2/user/personnelList', { params })
  // },
  getPersonList(data) {
    return axios.post('/permission/api/personnel/queryPageList', data)
},
  /**
   * 编辑用户/修改自己的信息
   */
  editUser(data) {
    return axios.post('/permission/api/personnel/updateSelf', data)
  },
  // editUser(data) {
  //   return axios.post('/v2/user/edit', data)
  // },
  /**
   * 新增用户
   */
  addUser(data) {
    return axios.post('/v2/user/add', data)
  },
  /**
   * 删除用户
   */
  deleteUser(params) {
    return axios({
      url: '/v2/user/delete',
      method: 'post',
      params: params
    })
  },
}
